| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions | Variables
fsl_uart_common_configurations.c File Reference

fsl_uart_common_configurations.c implements UART HAL Layer interfaces. More...

`#include "fsl_uart_hal.h"`
`#include "isf_fsl_uart_PEx.h"`
`#include "PE_Types.h"`
`#include "isf_uart_adapter.h"`
`#include "fsl_uart_driver.h"`
Include dependency graph for fsl_uart_common_configurations.c:

Go to the source code of this file.

## Functions
uart_status_t | uart_hal_init (uint32_t uartInstance, const uart_config_t *config)
void | uart_hal_enable_transmitter (uint32_t uartInstance)
void | uart_hal_disable_transmitter (uint32_t uartInstance)
void | uart_hal_enable_receiver (uint32_t uartInstance)
void | uart_hal_disable_receiver (uint32_t uartInstance)

## Variables
uint8 | gSys_NumUARTBuses

## Detailed Description

fsl_uart_common_configurations.c implements UART HAL Layer interfaces.

File: fsl_uart_common_configurations.c

Copyright (c) 2014, Freescale Semiconductor, Inc.

Definition in file fsl_uart_common_configurations.c.

## Function Documentation

void uart_hal_disable_receiver | ( | uint32_t | uartInstance | ) |

Definition at line 81 of file fsl_uart_common_configurations.c.

References gSys_NumUARTBuses.

void uart_hal_disable_transmitter | ( | uint32_t | uartInstance | ) |

Definition at line 52 of file fsl_uart_common_configurations.c.

References gSys_NumUARTBuses.

void uart_hal_enable_receiver | ( | uint32_t | uartInstance | ) |

Definition at line 68 of file fsl_uart_common_configurations.c.

References gSys_NumUARTBuses.

void uart_hal_enable_transmitter | ( | uint32_t | uartInstance | ) |

Definition at line 40 of file fsl_uart_common_configurations.c.

References gSys_NumUARTBuses.

uart_status_t uart_hal_init | ( | uint32_t | uartInstance,
|  | const uart_config_t * | config
| ) |  |

Definition at line 27 of file fsl_uart_common_configurations.c.

References gSys_NumUARTBuses, kStatus_UART_Error, and kStatus_UART_Success.

## Variable Documentation

uint8 gSys_NumUARTBuses

Definition at line 63 of file isf_sysconf_comms.c.

Referenced by uart_hal_disable_receiver(), uart_hal_disable_transmitter(), uart_hal_enable_receiver(), uart_hal_enable_transmitter(), and uart_hal_init().

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.